# 虚拟机相关操作

### 一、OS操作系统

1. #### 适用于个人电脑

   - Windows适用于个人电脑（PC机）的系统：Windows7/8/10/11
   - Windows10常见版本:家庭版/专业版/企业版/教育版

2. #### 适用于服务器

   - Windows Server：商业，图形界面、容易上手，闭源
   - Windows适用于服务器电脑的系统：Windows server 2008/2012/2016/2019

### 二、什么是虚拟化

> 通过软件技术来模拟更多的设备资源

1. #### 虚拟机

   - 运行在计算机上的一款软件程序，模拟计算机硬件功能，为用户提供一个独立的计算机环境。

2. #### 虚拟化的实现条件

   - 支持虚拟化的CPU处理器（开启CPU虚拟化功能）
   - 内存足够支撑运行多个虚拟机
   - 虚拟化平台软件（例如VMware Workstation Pro）

3. #### 常见的虚拟机产品

   ![image-20240806195807207](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20240806195807207.png)

### 三、安装Win10虚拟机

1. 创建虚拟机安装目录

2. 创建裸机

   > 文件 → 新建虚拟机 → 典型 → 下一步 → 稍后安装操作系统 → 下一步 → 客户机操作系统 → 选择Windows 10 X64 → 下一步 → 
   >
   > 虚拟机名输入win10-1-位置选择（x:\虚拟机\Win10-1） → 下一步 → 磁盘大小输入500G → 将虚拟磁盘存储为单个文件 → 下一步 → 下一步 → 完成

3. 镜像光盘放光驱

   > 双击CD/DVD-使用ISO映像文件-浏览-选择X:\NTD2024_tools\A模块软件素材\ISO镜像

4. 点击启动按钮进入安装向导

5. 配置安装过程

### 四、安装好系统的虚拟机，应该做哪些操作？

1. 安装虚拟工具（VMware Tools）

   > - 什么是硬件驱动？
   >
   > 能够让计算机的硬件充分发挥硬件性能，使硬件能够正常工作，我们把这样的程序称为硬件驱动。

2. 安装压缩解压程序

3. 调用桌面常用图标

4. 激活win10系统

5. 更改计算机名

6. 创建虚拟机快照

### 五、部署Windows Server 2019

> 与第三步安装win10虚拟机没有区别

> win10与win server 2019相互ping通需要关闭双方的windows防火墙

### 六、本地用户与组管理

> 本地用户：用户本地创建、本地存储、本地登录且只能登录本地一台计算机。

1. #### 认识用户帐户：

   1. Windows帐户有帐户名、有密码、用户安全标识（SID）

      > - SID安全标识符（身份证号），每个用户的SID唯一
      >
      > whoami /user查看用户SID
      >
      > whoami /user查看用户SID

   2. 打开本地用户和组

      - 运行 → lusrmgr.msc
      - 右击此电脑 → 管理 → 工具 → 计算机管理 → 本地用户和组 → 用户

   3. 常见内置用户

      - administrator:管理员，权限最大
      - guest:来宾，权限小，默认禁用

      > 内置用户可以改名、可以禁用、不可以删除

2. #### 本地帐户管理

   1. 创建用户

      - 打开本地用户和组-用户

        右击-新用户

        用户名：

           全名：

           描述：

           密码：

      > 取消勾选下次登录时须更改密码

      右击开始菜单 → 关机或注销 → 注销选择登录

      > 登录后通过whoami /user查看用户SID

   2. 帐户属性

      - 右击用户帐户名 → 属性
      - 用户下次登录时须更改密码（每个员工创建不同帐户）
      - 用户不能更改密码（用于公用帐户）
      - 用户不能更改密码（用于公用帐户）
      - 密码永不过期（默认42天）
      - 帐户已禁用

   3. 更改用户密码

      - 管理员重设置
      - 用户自己改（用户注销登录按ctrl+alt+del）

      > 验证勾选用户不能更改密码，普通用户注销登录更改密码验证提示。

   4. 帐户重命名

      > 适用新老员工的工作交接(右击重命名、选重F2、单击再单击)

   5. 删除用户

      > 删除用户后，创建同名同密用户也不具有以前用户的权限

3. #### 本地组管理

   1. 作用：用来对多个用户批量授权

   2. 创建本地组：

      > 打开本地用户和组 → 组
      >
      > 右击 → 新建组 → 输入组名 → 确定

   3. 用户加入组

      - 双击本地组添加 → 输入用户名 → 确定 → 确定
      - 右击用户名 → 属性 → 隶属于 → 输入组名 → 确定 → 确定

   4. 常见内置组及权限

      - Administrators:管理员组
      - Guests:来宾组
      - Backup Operators：具有备份和还原的权限
      - Remote Desktop Users：此组内用户可以从远程计算机使用远程桌面来连接
      - Print Operators：具有管理打印机的权限
      - NetworkConfiguration Operators：具有管理网络功能，例如更改IP地址
      - Users:新用户默认组
      - Everyone:任何用户都属此组

   5. 内置组实验验证

      > 1. 普通用户注销登录，验证更改IP地址，提示输入administrator密码
      > 2. Administrator注销登录，将普通用户加入``Network Configuration Operators``组
      > 3. 普通用户注销登录，再次验证更改IP地址

### 七、文件权限管理

1. #### NTFS权限

   1. 文件系统：数据在磁盘上的排列方式

   2. NTFS特点

      - 高读写
      - 磁盘空间利用率高
      - 安全性高（支加密、NTFS权限的配置）
      - AD需要NTFS支持

   3. 如何取NTFS文件系统的分区：

      > - 格式化磁盘分区时可以选择文件系统的类型
      >
      > 右击此电脑-管理 → 工具 → 计算机管理 → 磁盘管理 → 右击未分配 → 新建简单卷 → 下一步 → 
      >
      > 输入102400MB → 下一步 → 选择盘符 → 下一步 → 文件系统默认选择NTFS → 下一步 → 完成

2. #### NTFS权限配置

   1. 文件夹的NTFS权限

      - 完全控制：修改文件，给其他用户分配权限
      - 修改：读、写、删、打开程序
      - 读取和执行：读、打开程序
      - 列出文件夹内容：读取文件夹内容
      - 读：读取内容
      - 写入：写入内容
      - 特殊权限

   2. 文件的NTFS权限

      > 文件的NTFS权限与文件夹的NTFS权限对比少了一个列出文件夹内容的权限

   3. 配置文件的NTFS权限

      - Administrator用户创建文件夹E:\NTD，在NTD的文件夹中创建01.txt，在01.txt的文件中输入“11111”

        → 普通用户注销登录双击E:\NTD\01.txt可以打开此文件，不能更改文件内容

      - Administrator注销登录-右击01.txt-属性-安全-编辑-添加普通用户-勾选写入

        → 普通用户注销登录双击E:\NTD\01.txt可以打开此文件，能更改文件内容